%define	upstream_name    DBD-CSV
%define upstream_version 0.59

%global __requires_exclude /pro/bin/perl

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl module to access CSV files through DBI
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/H/HM/HMBRAND/%{upstream_name}-%{upstream_version}.tgz

BuildRequires: perl(Cwd)
BuildRequires: perl(DBD::File) >= 0.420.0
BuildRequires: perl(DBI) >= 1.628.0
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(SQL::Statement) >= 1.405.0
BuildRequires: perl(Test::Harness)
BuildRequires: perl(Test::More) >= 0.900.0
BuildRequires: perl(Text::CSV_XS) >= 1.10.0
BuildRequires: perl(charnames)
BuildArch:  noarch

%description
DBD::CSV is a Perl module that provides yet another driver for the DBI
(Database independent interface for Perl).  This one is based on the SQL
"engine" SQL::Statement and the abstract DBI driver DBD::File, and implements
access to so-called CSV files (comma separated values).  Such files are
mostly used for exporting MS Access and MS Excel data.

%prep 
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export PERL_MM_USE_DEFAULT=1
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Bundle/DBD/*
%{perl_vendorlib}/DBD/*
%{_mandir}/man3/*

%changelog
* Wed Mar 30 2022 tv <tv> 0.590.0-1.mga9
+ Revision: 1834926
- update to 0.59
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Sep 05 2020 guillomovitch <guillomovitch> 0.550.0-1.mga8
+ Revision: 1622608
- new version 0.55

* Fri Feb 14 2020 umeabot <umeabot> 0.530.0-2.mga8
+ Revision: 1519817
- Mageia 8 Mass Rebuild

* Sat Oct 20 2018 tv <tv> 0.530.0-1.mga7
+ Revision: 1323097
- update to 0.53

* Thu Sep 20 2018 umeabot <umeabot> 0.520.0-2.mga7
+ Revision: 1282592
- Mageia 7 Mass Rebuild

* Mon Apr 09 2018 kekepower <kekepower> 0.520.0-1.mga7
+ Revision: 1216678
- Update to version 0.52

* Mon Oct 02 2017 tv <tv> 0.490.0-2.mga7
+ Revision: 1163890
- rebuild with fixed rpm for missing autodeps

* Fri Aug 18 2017 sander85 <sander85> 0.490.0-1.mga7
+ Revision: 1141466
- update to 0.49

* Sat Jun 18 2016 pterjan <pterjan> 0.480.0-3.mga6
+ Revision: 1025348
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.480.0-2.mga6
+ Revision: 967809
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.480.0-1.mga6
+ Revision: 850315
- update to 0.48

* Wed Oct 15 2014 umeabot <umeabot> 0.440.0-4.mga5
+ Revision: 749889
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.440.0-3.mga5
+ Revision: 733048
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.440.0-2.mga5
+ Revision: 684082
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Aug 08 2014 sander85 <sander85> 0.440.0-1.mga5
+ Revision: 661022
- update to 0.44

* Sat Oct 19 2013 umeabot <umeabot> 0.410.0-2.mga4
+ Revision: 531877
- Mageia 4 Mass Rebuild

* Mon Aug 12 2013 sander85 <sander85> 0.410.0-1.mga4
+ Revision: 465690
- update to 0.41

* Fri Jun 07 2013 jquelin <jquelin> 0.380.0-1.mga4
+ Revision: 438931
- update to 0.38

* Sun Jan 13 2013 umeabot <umeabot> 0.360.0-2.mga3
+ Revision: 364990
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 jquelin <jquelin> 0.360.0-1.mga3
+ Revision: 291615
- update to 0.36

* Tue Jun 05 2012 jquelin <jquelin> 0.350.0-1.mga3
+ Revision: 254707
- update to 0.35

* Fri Sep 16 2011 takashi <takashi> 0.330.0-1.mga2
+ Revision: 144205
- upload to 0.33

* Wed Feb 16 2011 jquelin <jquelin> 0.310.0-1.mga1
+ Revision: 52571
- update to 0.31

* Fri Jan 21 2011 jquelin <jquelin> 0.300.0-1.mga1
+ Revision: 28457
- mageia rebuild
- imported package perl-DBD-CSV

